config/routes.rb
Rails.application.routes.draw do
  resources :leaderboards
  devise_for :users
  resources :lessons
  resources :questions
  resources :quizzes
  # Define your application routes per the DSL in https://guides.rubyonrails.org/routing.html

  # Reveal health status on /up that returns 200 if the app boots with no exceptions, otherwise 500.
  # Can be used by load balancers and uptime monitors to verify that the app is live.
  get "up" => "rails/health#show", as: :rails_health_check
  # post 'submit_quiz', to: 'take_quiz#submit'
  post 'take_quiz/:quiz_id/submit', to: 'take_quiz#submit', as: :submit_quiz

  resources :quizzes do
    resources :questions
  end

  resources :lessons do
    resources :comments, only: [:create]
  end

  resources :leaderboards, only: [:index]
  
  resources :take_quiz, only: [:index, :show]
  # Defines the root path route ("/")
  # root "posts#index"
  root to: "lessons#index"
end

app/views/layouts/_footer.html.erb
<footer class="bg-light text-center text-lg-start mt-4">
  <div class="text-center p-3">
    AT70.25 Full Stack Application Development | by  <i class="fas fa-user"></i>  Parkpoom Wisedri st123861 |  <i class="fas fa-user"></i> Biraj Koirala st124371 
  </div>
</footer>

app/views/layouts/_navbar.html.erb
<!-- app/views/layouts/_navbar.html.erb -->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container">
    <a class="navbar-brand" href="<%= root_path %>">Culrutal Quiz Platform</a>
    <% if user_signed_in? %>
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <%= link_to 'Lesson', lessons_path, class: 'nav-link' %>
            </li>
            <li class="nav-item">
              <% if current_user&.email == 'teacher@quizapp.com' %>
                <%= link_to 'Quiz', quizzes_path, class: 'nav-link' %>
              <% end %>
            </li>
            <li class="nav-item">
              <%= link_to 'Take Quiz', take_quiz_index_path, class: 'nav-link' %>
            </li>
            <li class="nav-item">
              <%= link_to 'Leaderboards', leaderboards_path, class: 'nav-link' %>
            </li>

        </ul>
    <% end %>

  
    <!-- User Section -->
    <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
      <% if user_signed_in? %>
        <!-- When User is Signed In -->
        <li class="nav-item">
          <a class="nav-link" href="#">
            <%= current_user.email %> <i class="fas fa-user"></i> <!-- Display user email and user icon -->
          </a>
        </li>
        <li class="nav-item">
          <%= link_to destroy_user_session_path, method: :delete, class: 'nav-link' do %>
            <i class="fas fa-sign-out-alt"></i> Logout <!-- Sign out icon and text -->
          <% end %>
        </li>
      <% else %>
        <!-- When User is Not Signed In -->
        <li class="nav-item">
          <%= link_to 'Sign In', new_user_session_path, class: 'nav-link' %>
        </li>
      <% end %>
    </ul>


  </div>
</nav>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>QuizAppProject</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
    <%= javascript_importmap_tags %>
    
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <link href="https://fonts.googleapis.com/css2?family=Comic+Neue:wght@400;700&display=swap" rel="stylesheet">
    <script src="https://cdn.tiny.cloud/1/7ahcdv7s2aw5qxfo8498wpaj0nw0cz5ytfj0fgl0239wa8gn/tinymce/6/tinymce.min.js" referrerpolicy="origin"></script>
    
    <!-- Place the following <script> and <textarea> tags your HTML's <body> -->
    <style>
      body {
        font-family: 'Comic Neue', cursive;
      }
    </style>

    <script>
      tinymce.init({
        selector: 'textarea',
        plugins: '',
        toolbar: 'undo redo | blocks fontfamily fontsize | bold italic underline strikethrough | link image media table | align lineheight | numlist bullist indent outdent | emoticons charmap | removeformat',
      });
    </script>
    
  </head>

  <body>
      <%= render 'layouts/navbar' %>

      <div class="container mt-4">
        <%= yield %>
      </div>

      <%= render 'layouts/footer' %>
  </body>
</html>